Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

FreeNAS 11.3 Released

JoeAtWork

Member
Joined
Aug 20, 2018
Messages
65
Bacula plugin still broken, I think the json file is not installing the right version of bacula9-server so the /root/post_install.sh cannot run. If I open a console and do a pkg install bacula9-server and then run /root/post_install.sh it appears to be functioning .
 

systemofapwne

Neophyte
Joined
Oct 6, 2019
Messages
9
I will move my 11.3-RC1 to 11.3-RELEASE today. 11.3-RC1 was rock-solid on my box and even fixed nasty VM lockups problems for my VMs (Since it is now running based on FreeBSD 11.3, VirtIO is patched). The only thing I disliked in RC1 was the new replication engine enforcing the "end time" to be always greater than the "start time". So e.g. 23:00 to 02:00 in the night does not work anymore. Apparently, this is still the case for 11.3-RELEASE as also mentioned by @ShadowMaster2403.
 

Octopuss

Member
Joined
Jan 4, 2019
Messages
228
Just upgraded and the only bug I've noticed thus far is context menu for builtin groups being truncated to just the "members" item.
 

Newfoundland.Republic

Senior Member
Joined
Jul 2, 2019
Messages
436
Just finished upgrading FreeNAS last night and all went well. Of my three Emby plugins, the jail upgrades went well execpt for one (which I was having issues with previously) wouldn't upgrade. I solved that by deleting that Emby plugin and re-creating it.

The dashboard is great. I'm still getting used to the network setup - it is different.

Other than that, the jail inventory seem, well, slower than in 11.2-U7.
 

ThreeDee

Senior Member
Joined
Jun 13, 2013
Messages
362
I have two physical network interfaces em0 and em1. I'm currently not using em0 but it's showing up on the dashboard but in a disconnected state. Is there anyway for me to remove this interface from the dashboard as I have no need to monitor it.
Can you disable it in your BIOS?
 
Joined
May 2, 2017
Messages
137
Upgraded from 11.2-U7 without issue. Took about 15 minutes, and Apache, Home Assistant and Plex jails all working fine.

The interface is much improved, and the reporting is finally useful again. Thanks to all the developers for their hard work!
 

Elo

Member
Joined
Mar 11, 2012
Messages
90
Congratulations...GREAT WORK! Just updatet both my servers from RC2 which has been solid after some fingertrouble in the start... I realy like the new interface and for me it has been especialy usefull to use the possibility of edit ACL for shares since both my servers are in a domain and under a Windows Server 2019 ADC.... There is also imporvements on jails and the VM's...
 

garfunkel

Member
Joined
Jun 15, 2012
Messages
35
FreeNAS has come a long way from the old (really rather horrible) v9 UI. The new dashboard, while not perfect, is 4 and a half worlds better than the old system. It's easier, snappier and works better.

The one thing I'm not enjoying is the listing of jails/plugins, which is super slow (sometimes takes like 30-40 seconds to list installed plugins for some reason...). I think once we get to 11.3 U3, we'll be in a very very good, polished place.
 

Kekeplasteri

Newbie
Joined
Feb 2, 2020
Messages
2
Updated from 11.2-u7 last night, the box got stuck at plugins instlal/configure phase (1/34 or something), waited for a good while but no progress. Rebooted a few times but got the same. Did not do any troubleshooting, did a fresh install instead and things look good now.

I got 2 mobo integrated NICs that i am not using and i cannot seem to remove from the UI. Looked for an option to disable them in the mobo BIOS, but at first glance did not seem to find it. Using a supermicro x11 ssm-f board.
 

diedrichg

Neophyte Sage
Joined
Dec 4, 2012
Messages
1,293
The one thing I'm not enjoying is the listing of jails/plugins, which is super slow (sometimes takes like 30-40 seconds to list installed plugins for some reason...). I think once we get to 11.3 U3, we'll be in a very very good, polished place.
I've seen the jail listing issue reported by a few others. I just wanted to chime in saying that I do not have this issue and that jails are instantly listed and that the plugins listing takes *maybe* 2 seconds.
 

ChaosBlades

Member
Joined
Jul 4, 2015
Messages
98
11.3 is really unhappy I think because my Jail storage pool is encrypted with a passphrase. As soon as I unlock it things get problematic. It takes a very long time to actually unlock even after the dialogue says it has been unlocked. I try to unlock the next pool and the lock icon does nothing then several minutes later like 10 enter passphrase dialogue boxes pop up. The installed Plugins page and Jails Page take over a minute to populate the configured jails/plugins. Setting a plugin to Boot / not Boot takes minutes "Please Wait". Even "iocage list" and "iocage console" commands take almost a minute to return anything. Starting 11 jails at the same time takes over 15 minutes.

The plugins/jail applications seem to be as snappy as ever, however. Also once I get into the jails console commands run normally.

Yes, I have cleared browser cache, Private Window, and Edge Browser. Tried iocage list / iocage console through SSH on PowerShell. Rebooting FreeNAS.
I found https://github.com/iocage/iocage/issues/1114

I had 13k shapshots on my Jail Pool. I deleted them all and removed the snapshot task. After rebooting iocage operations and associated GUI elements were significantly faster but still are not instant like they were pre 11.3.
 

trey504

Newbie
Joined
Dec 31, 2017
Messages
3
I upgraded from 11.2-u5 -> 11.2-u7 -> 11.3 and had no issues. Plex, Next cloud, Zone minder, and Custom jails are working. I did not upgrade any of the jails. Windows 10 and Ubuntu Pihole VMs are also working with no issues.
 

alexr

Member
Joined
Apr 14, 2016
Messages
40
11.2U7 to 11.3 and from the emails being sent, it looks like netdata was left running by the upgrade.

EDIT: Hmm. Don't see any processes running, a few empty directories and such left behind, but oddly have gotten netdata emails with dates inside the message newer than the upgrade....
 
Last edited:

SeaFox

Member
Joined
Aug 6, 2013
Messages
81
11.3 is really unhappy I think because my Jail storage pool is encrypted with a passphrase. As soon as I unlock it things get problematic. It takes a very long time to actually unlock even after the dialogue says it has been unlocked. I try to unlock the next pool and the lock icon does nothing then several minutes later like 10 enter passphrase dialogue boxes pop up.
I can't even unlock my encrypted pool. :(

Code:
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/concurrent/futures/process.py", line 239, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 95, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 579, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 51, in _run
    return await self._call(name, serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 43, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 43, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 964, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/zfs.py", line 382, in import_pool
    zfs.import_pool(found, found.name, options, any_host=any_host)
  File "libzfs.pyx", line 369, in libzfs.ZFS.__exit__
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/zfs.py", line 380, in import_pool
    raise CallError(f'Pool {name_or_guid} not found.', errno.ENOENT)
middlewared.service_exception.CallError: [ENOENT] Pool 4197852978289489140 not found.
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/pool.py", line 1656, in unlock
    'cachefile': ZPOOL_CACHE_FILE,
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1127, in call
    app=app, pipes=pipes, job_on_progress_cb=job_on_progress_cb, io_thread=True,
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1074, in _call
    return await self._call_worker(name, *args)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1094, in _call_worker
    return await self.run_in_proc(main_worker, name, args, job)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1029, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1003, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
middlewared.service_exception.CallError: [ENOENT] Pool 4197852978289489140 not found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
    await self.future
  File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 386, in __run_body
    rv = await self.method(*([self] + args))
  File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 960, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/pool.py", line 1668, in unlock
    raise CallError(msg)
middlewared.service_exception.CallError: [EFAULT] Pool could not be imported: 2 devices failed to decrypt.



Edit: Actually, maybe 11.3 has nothing to do with this. I booted back into 11.2U7 and I can't unlock it there either. -_-

Code:
Error: Traceback (most recent call last):

  File "/usr/local/lib/python3.6/site-packages/tastypie/resources.py", line 219, in wrapper
    response = callback(request, *args, **kwargs)

  File "./freenasUI/api/resources.py", line 951, in unlock
    form.done(obj)

  File "./freenasUI/storage/forms.py", line 2847, in done
    raise MiddlewareError(msg)

freenasUI.middleware.exceptions.MiddlewareError: [MiddlewareError: Volume could not be imported: 2 devices failed to decrypt]


Edit2: Noticed all my jails were gone when I went back to 11.2U7. Tried restoring the settings from the backup I made before I tried updgrading... no change (?) Is the Jail config/manifest not supposed to be part of this backup? Booted back to 11.3 since I at least still had my jails then. Plex jail not launching because it had a mount point set up for the encrypted pool I could not get to unlock. Tried again to unlock it, and it did this time! So... I might be okay here. Will have to do some more testing.
 
Last edited:

ChaosBlades

Member
Joined
Jul 4, 2015
Messages
98
I can't even unlock my encrypted pool. :(

Code:
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/concurrent/futures/process.py", line 239, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 95, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 579, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 51, in _run
    return await self._call(name, serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 43, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.7/site-packages/middlewared/worker.py", line 43, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 964, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/zfs.py", line 382, in import_pool
    zfs.import_pool(found, found.name, options, any_host=any_host)
  File "libzfs.pyx", line 369, in libzfs.ZFS.__exit__
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/zfs.py", line 380, in import_pool
    raise CallError(f'Pool {name_or_guid} not found.', errno.ENOENT)
middlewared.service_exception.CallError: [ENOENT] Pool 4197852978289489140 not found.
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/pool.py", line 1656, in unlock
    'cachefile': ZPOOL_CACHE_FILE,
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1127, in call
    app=app, pipes=pipes, job_on_progress_cb=job_on_progress_cb, io_thread=True,
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1074, in _call
    return await self._call_worker(name, *args)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1094, in _call_worker
    return await self.run_in_proc(main_worker, name, args, job)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1029, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1003, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
middlewared.service_exception.CallError: [ENOENT] Pool 4197852978289489140 not found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
    await self.future
  File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 386, in __run_body
    rv = await self.method(*([self] + args))
  File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 960, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/pool.py", line 1668, in unlock
    raise CallError(msg)
middlewared.service_exception.CallError: [EFAULT] Pool could not be imported: 2 devices failed to decrypt.



Edit: Actually, maybe 11.3 has nothing to do with this. I booted back into 11.2U7 and I can't unlock it there either. -_-

Code:
Error: Traceback (most recent call last):

  File "/usr/local/lib/python3.6/site-packages/tastypie/resources.py", line 219, in wrapper
    response = callback(request, *args, **kwargs)

  File "./freenasUI/api/resources.py", line 951, in unlock
    form.done(obj)

  File "./freenasUI/storage/forms.py", line 2847, in done
    raise MiddlewareError(msg)

freenasUI.middleware.exceptions.MiddlewareError: [MiddlewareError: Volume could not be imported: 2 devices failed to decrypt]


Edit2: Noticed all my jails were gone when I went back to 11.2U7. Tried restoring the settings from the backup I made before I tried updgrading... no change (?) Is the Jail config/manifest not supposed to be part of this backup? Booted back to 11.3 since I at least still had my jails then. Plex jail not launching because it had a mount point set up for the encrypted pool I could not get to unlock. Tried again to unlock it, and it did this time! So... I might be okay here. Will have to do some more testing.
My issue had nothing to do with my pool being encrypted. It had everything to do with a change to iocage that cached snapshots making it extremely slow. Looks like some commits are being made now to remove iocage snapshot caching. I just need to wait till a FreeNAS update to fix the issue. Hopefully, I don't need to wait till FreeNAS 12.
 

msbxa

Member
Joined
Sep 21, 2014
Messages
131
I just finished upgrading my FreeNAS 11.2-U7 to 11.3 Stable release without any problems. All Jails are working including Plex. Jails are all running with 11.2-RELEASE-p14 with Static IP. The only Alert was this: IPMI SEL low space left: 0 bytes (100% used), the alert has been cleared after typing as root in the shell: ipmitool sel clear. My next project to move all jails to 11.3-RELEASE-p5 and (NAT & vnet).
 

Patrick M. Hausen

Dedicated Sage
Joined
Nov 25, 2013
Messages
1,925
It had everything to do with a change to iocage that cached snapshots making it extremely slow. Looks like some commits are being made now to remove iocage snapshot caching.
So I found, too. truss quickly exposed where iocage was waisting so much time on every invocation. Remember: when in doubt, use brute force (Ken Thompson) ;)

I then searched for and found the iocage issues on github. Let's hope that will be fixed in 11.3-U1.

Apart from that: wonderful release! Thanks everyone involved!
Patrick
 
Last edited:

Mannekino

Member
Joined
Nov 14, 2012
Messages
245
Can you disable it in your BIOS?
I just checked but I don't see any option to disable LAN in the BIOS. I have a Supermicro X9SCM-F motherboard. I saw some stuff with regard to "ROM" but not to disable individual ports.
 

Newfoundland.Republic

Senior Member
Joined
Jul 2, 2019
Messages
436
Swap the cables?
 

Kekeplasteri

Newbie
Joined
Feb 2, 2020
Messages
2
I just checked but I don't see any option to disable LAN in the BIOS. I have a Supermicro X9SCM-F motherboard. I saw some stuff with regard to "ROM" but not to disable individual ports.
My supermicro motherboard has jumpers on the board, that disable the integrated lan ports. there was no possibility to do that in the bios .. propably some "safety" feature, so no-one can do it remotely.
 
Top